"use strict";
/// <reference path="extensions/number.ts" />
/// <reference path="extensions/string.ts" />
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const joi_1 = __importDefault(require("joi"));
const boolean_js_1 = require("./extensions/boolean.js");
const number_js_1 = require("./extensions/number.js");
const string_js_1 = require("./extensions/string.js");
joi_1.default = joi_1.default.extend(string_js_1.StringExtension, number_js_1.IdExtension, boolean_js_1.BooleanExtension);
module.exports = joi_1.default;
